CHEMEQ(1)

NAME
chemeq - Chemical Equation Parser and Renderer

SYNOPSIS

chemeq [-M] [-m] [-l] [-c] [-w] [-C] [-e] [-s] [-S] [-n] [-W]

chemeq [-h] [-v]

DESCRIPTION

chemeq is a chemical equation analyzer. It is a fast lexical and syntaxic analyser which helps to find out chemical information embedded in source chemical equations. Data can be output in various sophisticated formats, depending on options. 'chemeq' defaults to 'chemeq -mlcwCn'.

OPTIONS

-M
    Outputs al list of space separated molecular weights.

-m
    Outputs a minimal output. It allows chemeq to be idempotent, i.e. the command 'chemeq | chemeq' is equivalent to 'chemeq'.

-l
    Outputs a LaTeX string representing the chemical equation.

-c
    Outputs a message giving information about the Conservation of elements and charges in the equation. 'OK' means that both elements and electric charges are balanced.

-w
    Outputs the LaTeX string representing the Gulder-Waage equation related to the input chemical equation, or the Nernst equation, if the input equation is a redox semi-equation.

-C
    Outputs a detailed Count of the molecules and atoms contained in each member of the chemical equation. For example for the equation "H2_g + 1/2 O2_g --> H2O" it outputs: "H2_g|H:1*2, 1/2 O2_g|O:1/2*2; H2O|H:1*2 O:1*1"

-e
    Outputs a detailed count of the Electrical charges.

-s
    Outputs a list of the chemical Species.

-S
    Outputs a list of the chemical *S*tœchiometric coefficients.

-n
    Outputs a Normalized string accounting for the input equation. Two chemical equations having the same normalized string are chemically equivalent, even if the molecules are scrambled around and the coefficient are not equal but proportionnal.

-W
    Changes the behavior of the renderer for some versions of Wims : works around a bug with the macro \rightarrow.

-h
    Displays Help.

-v
    Displays the Version number

ENVIRONMENT

chemeq_input
    if set, this variables's value overrides the standard input. If this variable is not set, the variable w_chemeq_input is taken in account (useful for the WIMS server).

w_chemeq_input
    See above (useful for the WIMS server).

chemeq_option
    if set, this variable's value overrides the options.If this variable is not set, the variable w_chemeq_option is taken in account (useful for the WIMS server).

w_chemeq_option
    See above (useful for the WIMS server).

EXAMPLES

echo "1/2 Cu^2+ + OH- -> 1/2Cu(OH)2s" | chemeq
    will display information about the reaction of hydroxyde and Cu II ions.

echo "MnO4^- + 8H3O^+ + 5e- --> Mn^2+ + 12 H2O" | chemeq
    will display information about the reaction of reduction of permanganate ions in an acid environment.

echo "MnO4^- + 8H3O^+ + 5e- --> Mn^2+ + 12 H2O" | chemeq -w
    will display the LaTeX format for the Nernst law related to the reduction of permanganate ions in an acid environment.

echo "MnO4^- + 8H3O^+ + 5e- --> Mn^2+ + 8 H2O" | chemeq -c
    will highlight the lack of conservation of elements H and O (water molecules are not well balanced).

echo "func:html_table" | chemeq
    Outputs an HTML Element, featuring a periodic table of chemical elements, which contains the exact data used by chemeq itself for the molar masses.

NOTES

syntax of ions
    although in some cases, shorter expressions are successfully parsed, it is safer to consider that an "up arrow" (^) must be put before the charge symbols of an ion. Examples : H3O^+, Fe(CN)6^4-, OH^-

Composing chemical equations
    Two operators are defined, # as an additive oprator and ~ (tilde) as a substractive operator: they allow one to compose several chemical equations

    echo "MnO4^- + 8H3O^+ + 5e- --> Mn^2+ + 8 H2O ~ 5Fe^3+ + 5e- -> 5Fe^2+" | chemeq

    will display the pure redox equation from the first equation, minus the second one. Electrons are simplified. So it will be equivalent to:

    echo "MnO4^- + 8H3O^+ + 5Fe^2+--> Mn^2+ + 8 H2O + 5Fe^3+" | chemeq which is their combination.

Mutiplying a chemical equation by one coefficient
    The operator * permits one to multiply a whole equation by one coefficient which may be a fraction. Here is an example:

    echo "5 * Fe^3+ + e- -> Fe^2+" | chemeq

    will be equivalent to

    echo "5Fe^3+ + 5e- -> 5Fe^2+" | chemeq

Combining chemical equations, with coefficients
    The two previous techniques can be used at the same time, which enables you to make more comlicated combinations, like this one:

    echo "Fe^3+ + e^- -> Fe^2+ (0.77 V) # Fe^2+ + 6CN^- -> Fe(CN)6^4- (Kfa=1e24) ~ Fe^3+ + 6CN^- -> Fe(CN)6^3- (Kfb=1e31)" | chemeq

    which will work as expected, and yield a good value for the stan- dard potential of the redox couple of hexacyanoferrate II and III ions.

KNOWN BUGS

When not specified, chemical entities coming from the standard input are believed to be in aqueous solutions. Water is considered by default as the main solvent. Only one liquid (aqueous) phase is currently taken in account. All solid chemical entities are considered as parts of separated phases. Suffixes _s, _g and _aq can be used to enforce the type of some chemical entities. There may be problemes when you write a standard potential with no decimal dot. For example, the entry Mn^2+ + 2e^- -> Mn_s (-1 V) would trigger an error. Then write Mn^2+ + 2e^- -> Mn_s (-1.0 V) or the more accurate value Mn^2+ + 2e^- -> Mn_s (-1.18 V) and there will be no error.

AUTHOR

Georges Khaznadar <georgesk@debian.org>
    Wrote this manpage.

COPYRIGHT
Copyright © 2000-2013 Georges Khaznadar

Redistribution and use of this manpage in source and binary forms, with or without modification, are permitted under the terms of the GNU General Public Licenses, version 2

THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.